# Class AppletConsole

java.lang.Object
org.jmol.console.GenericConsole
org.jmol.console.JmolConsole
org.jmol.console.AppletConsole

All Implemented Interfaces:
  `ActionListener, WindowListener, EventListener, JmolAppConsoleInterface, JmolCallbackListener`

public class AppletConsole extends JmolConsole

## Field Summary

### Fields inherited from class JmolConsole

`externalContainer, scriptEditor, vwrFrame`

### Fields inherited from class GenericConsole

`clearInButton, clearOutButton, defaultMessage, editButton, historyButton, input, label1, labels, loadButton, menuMap, nTab, output, pageUpBuffer, runButton, stateButton, vwr`

## Constructor Summary

Constructors
Constructor
Description
`AppletConsole()`

## Method Summary

Modifier and Type
Method
Description
`void`
`actionPerformed(ActionEvent e)`
`protected void`
`execute(String strCommand)`
`protected JmolAbstractButton`
`getLabel1()`
`protected void`
`layoutWindow(String enabledButtons)`
`void`
`regainFocus()`
`void`
`setVisible(boolean visible)`
`void`
`start(Viewer vwr)`

### Methods inherited from class JmolConsole

`addWindowListener, dispose, getPane, getScriptEditor, isMenuItem, newJMenu, newJMenuItem, nextFileName, setButton, setTitle, updateFontSize, updateLabels, windowActivated, windowClosed, windowClosing, windowDeactivated, windowDeiconified, windowIconified, windowOpened`

### Methods inherited from class GenericConsole

`addButton, clearContent, completeCommand, destroyConsole, displayConsole, doAction, getCommandString, getLabel, getLabelWithoutMnemonic, getText, map, notifyCallback, notifyEnabled, processKey, recallCommand, sendConsoleEcho, sendConsoleMessage, setAbstractButtonLabels, setCallbackFunction, setLabels, setupLabels, setupLabels0, setViewer, trimGUI, zap`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AppletConsole

public AppletConsole()

## Method Details

### start

public void start(Viewer vwr)

### getLabel1

protected JmolAbstractButton getLabel1()

Overrides:
  `getLabel1` in class `GenericConsole`

### layoutWindow

protected void layoutWindow(String enabledButtons)

Specified by:
  `layoutWindow` in class `GenericConsole`

### setVisible

public void setVisible(boolean visible)

Specified by:
  `setVisible` in interface `JmolAppConsoleInterface`
Overrides:
  `setVisible` in class `JmolConsole`

### actionPerformed

public void actionPerformed(ActionEvent e)

Specified by:
  `actionPerformed` in interface `ActionListener`
Overrides:
  `actionPerformed` in class `JmolConsole`

### execute

protected void execute(String strCommand)

Overrides:
  `execute` in class `GenericConsole`

### regainFocus

public void regainFocus()